%define debug_package %{nil}

Name:		umview
Version:	0.8.2
Release:	1.1%{?dist}
Summary:	User-mode implementation of OSVIEW

Group:		System Environment/Libraries
License:	GPL
URL:		http://view-os.sourceforge.net
Source0:	%{name}-%{version}.tar.gz
Patch1:		%{name}-%{version}-patch-001
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	libtool
BuildRequires:	fuse-devel
BuildRequires:	libcap-devel
BuildRequires:	glib2-devel

%description
View-OS is a novel approach to the process/kernel interface.  The semantics of
each system call can be assigned process by process giving the user the right
to decide which view of the system each process has to join.  Each process can
"see" a different file system structure, networking resources, processor,
devices.  Moreover some of the resources can be provided by the user
him/herself, thus these resource can be private to the single process and are
not known a priori by the system.  Groups of processes can share the same view
but this is just an optimization to share management methods.

For more information, see http://wiki.virtualsquare.org

UMView is a user-mode implementation of View-OS.  Processes are run with a
controlling daemon that captures all the system calls (at present using the
ptrace() system call) and uses dynamically loadable modules to change their
semantic.

This package contains the UMView controlling daemon and some modules, both
for testing and for real use.  Other modules are contained in separate
packages because they depend on additional libraries.

%package -n libumlib
Summary:	Library with common functions used by every UMView module.
Group:		System Environment/Libraries

%description -n libumlib
View-OS in user space - Support library for modules View-OS is a novel
approach to the process/kernel interface.  The semantics of each system
call can be assigned process by process giving the user the right to decide
which view of the system each process has to join.  Each process can "see"
a different file system structure, networking resources, processor, devices.
Moreover some of the resources can be provided by the user him/herself,
thus these resource can be private to the single process and are not known a
priori by the system.  Groups of processes can share the same view but this
is just an optimization to share management methods.

For more information, see http://wiki.virtualsquare.org

UMView is a user-mode implementation of View-OS.  Processes are run with
a controlling daemon that captures all the system calls (at present using
the ptrace() system call) and uses dynamically loadable modules to change
their semantic.

This package contains a library with common functions used by every UMView module.  

%package -n 	libumlib-devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	libumlib

%description -n libumlib-devel
Headers and library needed to write and compile new UMView modules

%prep
%setup -q -n umview-%{version}
%patch1 -p1

%build
%configure --prefix=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm %{buildroot}%{_libdir}/libumlib.la

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%attr(0755, root, root)	%{_bindir}/*
%attr(0644, root, root)	%{_libdir}/%{name}/modules/*
%attr(0755, root, root)	%{_libexecdir}/umbinwrap
%attr(0644, root, root)	%{_mandir}/man1/*
%attr(0644, root, root)	%{_mandir}/man2/*
%attr(0644, root, root)	%{_mandir}/man5/*

%files -n libumlib-devel
%attr(0644, root, root)	%{_includedir}/%{name}/*
%attr(0644, root, root)	%{_libdir}/lib*.so
%attr(0644, root, root)	%{_libdir}/lib*.a

%files -n libumlib
%attr(0644, root, root)	%{_libdir}/lib*.so.*

%changelog
* Sun Oct 12 2014 gregor herrmann <gregoa@debian.org> 0.8.2-1.1
* Release 0.8.2-1.1
  * Non-maintainer upload.
  * Fix "FTBFS: um_select.c:177: undefined reference to `__FDELT'":
    apply patch from Ubuntu / Ilya Barygin:
    - Fix FTBFS because of renamed macro.
    (Closes: #707402)
  * Build-depend on libvdeplug-dev, libvdeplug2-dev is only provided by
    libvdeplug-dev.
    Also taken from Ubuntu / Jeremy Bicha.
  * Apply patch from Thomas Funk that removes EPOLL_NONBLOCK.
    (Taken from upstream.)
  * Apply patch from Roland Stigge: add architecture powerpcspe in
    debian/control. (Closes: #734997)

* Sun Jun 17 2012 Ludovico Gardenghi <garden@debian.org> 0.8.2-1
* Release 0.8.2-1
  * New upstream release
    + Remove um_lwip module (no more needed for lwip networking)
      (Closes: #663671)
    + New viewfs (replaces modifshide)
  * Update copyright file
    + New upstream URL (Closes: #674216)
    + canonicalize.c has been rewritten, removed LGPL part
  * Add libcap-dev and dpkg-dev to Build-Depends
  * Bump to Standards-Version 3.9.3
    + Remove .la files from libumlib-dev
    + Add missing comma in Depends field
  * Switch to machine-readable copyright file
  * Remove empty .dirs files

* Sun Jun 14 2009 Ludovico Gardenghi <garden@debian.org>0.6-1
* Release 0.6-1
  [ Filippo Giunchedi ]
  * Add DM-Upload-Allowed field

  [ Ludovico Gardenghi ]
  * New upstream release
    + Fix "FTBFS: Cannot find linux/dirent.h" (new upstream corrects the
      path name and includes a .h with the needed definitions which are no
      more accessible.) (Closes: #527518)
  * Update standard-version to 3.8.1 (no changes needed).
  * Added missing misc:Depends to libumlib-dev.
  * Changed garden@acheronte.it with garden@debian.org.
  * Fixed versionless license file names.

* Mon Jun 23 2008  Ludovico Gardenghi <garden@acheronte.it> 0.5-2
* Release 0.5-2
  * umview must recommend libpurelibc1, not 0.

* Wed Jun 18 2008 Filippo Giunchedi <filippo@debian.org> 0.5-1
* Release 0.5-1
  [ Ludovico Gardenghi ]
  * New upstream release
    + fix loading of lwipv6 (Closes: #470462)
    + fix building on amd64 (Closes: #417047)
    + fix wrong include (Closes: #479979)

  [ Filippo Giunchedi ]
  * Move libumlib0-dev to libumlib-dev 
  * Update standard-versions to 3.8.0 (add Homepage and change Source-Version) 

* Tue Feb 13 2007 Guido Trotter <ultrotter@debian.org>0.4a-2
* Release 0.4a-2

  * Fix umlib0-dev dependencies

* Tue Feb 13 2007 Guido Trotter <ultrotter@debian.org> 0.4a-1
* Release 0.4a-1
  [ Debian VSquare Team ]
  * Initial release

  [ Guido Trotter ]
  * Fix Build Dependencies
  * The "valentine for reenzo" release
